/**
 *Recupera o mapper mybatis definido no arquivo XML
 */
var pgFornCntMapper = mapperFactory.createMapper("PgFornCnt");

/**
 *Objeto message é um hashmap que contem a chave nome do atirbuto JSON e seu respectivos valores
 */
try{
	
	var contasBancarias = message.get("contasBancarias");
	var todasContasBancarias = pgFornCntMapper.selectList("listarPgFornCnt");
	
	for (var i = 0; i < todasContasBancarias.size(); i++) {
		pgFornCntMapper.update("excluirPgFornCnt", todasContasBancarias.get(i));
	}

	for (var i = 0; i < contasBancarias.size(); i++) {
		pgFornCntMapper.insert("incluirPgFornCnt", contasBancarias.get(i));
	}

	pgFornCntMapper.commit();
	
}catch(err){
	pgFornCntMapper.rollback();
  throw " Ocorreu um erro: " + err;
}